top_fr
Se connecter

Bitrix24Help

Erreur : Supprimez le paramètre PHP mbstring.func_overload

on-premise

Lors de la mise à jour de la version On-Premise Bitrix24, vous pouvez recevoir une notification : Le paramètre mbstring.func_overload doit être supprimé pour mettre à jour le système. Veuillez résoudre le problème ou contacter le support technique de votre hébergeur. (The mbstring.func_overload parameter has to be removed to update the system. Please fix the issue or contact your hosting provider's technical support).

Qu’est-ce que cela signifie ?

La fonctionnalité mbstring.func_overload est obsolète depuis PHP 7.2.0 et est fortement déconseillée.

En conséquence, la prise en charge de ce paramètre PHP est interrompue dans les produits Bitrix. L'erreur continuera à s'afficher jusqu'à ce que vous supprimiez ce paramètre dans la configuration PHP de votre serveur.

Ce qu'il faut faire ?

Accédez à la section Outils (Tools) – Administration du système (System Administration) – Paramètres PHP (PHP settings) :

Dans la fenêtre qui s'ouvre, recherchez le paramètre mbstring.func_overload dans les paramètres PHP :

Si sa valeur n'est pas 0, vous devez supprimer ce paramètre dans la configuration du serveur PHP ou le définir sur 0 (mbstring.func_overload=0).

Pour cela faire, vous devez contacter votre fournisseur d'hébergement pour supprimer ce paramètre. Ou demandez à votre hébergeur comment le faire vous-même, si possible.

Si vous utilisez une machine virtuelle BitrixVM, mettez-la simplement à jour vers la version 7.4.4.


Merci, cela m’a aidé Merci :) Non, cela ne m’a pas aidé Nous sommes désolés Envoyer un commentaire
Pourriez-vous nous préciser pourquoi:
Ce n'est pas ce que je cherche
C'est trop compliqué